<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>yumguicore.YumGuiBase</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css"></link>
</head>
<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">

<!-- =========== START OF NAVBAR =========== -->
<table class="navbar" border="0" width="100%" cellpadding="0" bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="center">
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="yumguicore-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="trees.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="indices.html">Index</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar" width="100%"></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <font size="-1"><b class="breadcrumbs">
        <a href="yumguicore-module.html">Package&nbsp;yumguicore</a> ::
        Class&nbsp;YumGuiBase
      </b></font></br>
    </td>
    <td><table cellpadding="0" cellspacing="0">
      <tr><td align="right"><font size="-2">[<a href="../private/yumguicore.YumGuiBase-class.html">show&nbsp;private</a>&nbsp;|&nbsp;hide&nbsp;private]</font></td></tr>
      <tr><td align="right"><font size="-2">[<a href="frames.html"target="_top">frames</a>&nbsp;|&nbsp;<a href="yumguicore.YumGuiBase-class.html" target="_top">no&nbsp;frames</a>]</font></td></tr>
    </table></td>
</tr></table>

<!-- =========== START OF CLASS DESCRIPTION =========== -->
<h2 class="class">Type YumGuiBase</h2>

<pre class="base-tree">
<a href="__builtin__.object-class.html"><code>object</code></a> --+        
         |        
  <a href="yum.depsolve.Depsolve-class.html"><code>Depsolve</code></a> --+    
             |    
       <a href="yum.YumBase-class.html"><code>YumBase</code></a> --+
                 |
                <b>YumGuiBase</b>
</pre><br />

<hr/>

GUI Extention to the YumBase class
<hr/>


<!-- =========== START OF METHOD SUMMARY =========== -->
<table class="summary" border="1" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="summary">
  <th colspan="2">Method Summary</th></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#__init__" class="summary-sig-name"><code>__init__</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>configfn</span>,
          <span class=summary-sig-arg>rootdir</span>,
          <span class=summary-sig-arg>plugins</span>,
          <span class=summary-sig-arg>parser</span>,
          <span class=summary-sig-arg>debuglevel</span>,
          <span class=summary-sig-arg>errorlevel</span>,
          <span class=summary-sig-arg>disabled_plugins</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#actionLog" class="summary-sig-name"><code>actionLog</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>msg</span>)</span></code>
<br />
action log class</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#deselectGroup" class="summary-sig-name"><code>deselectGroup</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>grpid</span>)</span></code>
<br />
Remove the packages in the group from the transaction.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#deselectPackage" class="summary-sig-name"><code>deselectPackage</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>)</span></code>
<br />
Add a package to the transaction for removal, if the package is added 
to the transaction as a installation/update the revert the 
installation/update.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#doDepSolve" class="summary-sig-name"><code>doDepSolve</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>callback</span>)</span></code>
<br />
Resolve the dependencies in current transaction</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#downloadPackages" class="summary-sig-name"><code>downloadPackages</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
Download the packages in current transaction</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#isGroupInstalled" class="summary-sig-name"><code>isGroupInstalled</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>grp</span>)</span></code>
<br />
Check if group is install</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#isPackageInstalled" class="summary-sig-name"><code>isPackageInstalled</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>name</span>,
          <span class=summary-sig-arg>epoch</span>,
          <span class=summary-sig-arg>version</span>,
          <span class=summary-sig-arg>release</span>,
          <span class=summary-sig-arg>arch</span>,
          <span class=summary-sig-arg>po</span>)</span></code>
<br />
Check if package is installed.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#processTransaction" class="summary-sig-name"><code>processTransaction</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>callback</span>)</span></code>
<br />
Process the transaction</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#selectGroup" class="summary-sig-name"><code>selectGroup</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>grpid</span>)</span></code>
<br />
Add the packages in the group to the transaction, if group is allready 
added to the transaction for removal, the revert the removal.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#selectPackage" class="summary-sig-name"><code>selectPackage</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>)</span></code>
<br />
Add a package to the transaction, if the package is already added to 
the transaction as a removal, then revert the removal</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#setCacheCallback" class="summary-sig-name"><code>setCacheCallback</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>callback</span>)</span></code>
<br />
Set the callback handler to use while populating the sqlite cache.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#setDownloadCallback" class="summary-sig-name"><code>setDownloadCallback</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>callback</span>)</span></code>
<br />
Set the callback handler to use while downloading.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#setup" class="summary-sig-name"><code>setup</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>doUpdates</span>,
          <span class=summary-sig-arg>doUpdateMetaData</span>)</span></code>
<br />
Setup rpmdb, TransactionSets, Repositories, Package Sacks, Groups 
&amp; Updates.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#simpleDBInstalled" class="summary-sig-name"><code>simpleDBInstalled</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>name</span>,
          <span class=summary-sig-arg>arch</span>)</span></code>
<br />
Fast way to find out id name.arch is installed</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.YumGuiBase-class.html#testTransaction" class="summary-sig-name"><code>testTransaction</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
Perform a test transaction</td></tr>
<tr bgcolor="#e8f0f8" class="group">
  <th colspan="2">&nbsp;&nbsp;&nbsp;&nbsp;Inherited from YumBase</th></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#__del__" class="summary-sig-name"><code>__del__</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#bestPackagesFromList" class="summary-sig-name"><code>bestPackagesFromList</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkglist</span>,
          <span class=summary-sig-arg>arch</span>)</span></code>
<br />
Takes a list of packages, returns the best packages.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#buildTransaction" class="summary-sig-name"><code>buildTransaction</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
go through the packages in the transaction set, find them in the 
packageSack or rpmdb, and pack up the ts accordingly</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#cleanHeaders" class="summary-sig-name"><code>cleanHeaders</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#cleanMetadata" class="summary-sig-name"><code>cleanMetadata</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#cleanPackages" class="summary-sig-name"><code>cleanPackages</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#cleanSqlite" class="summary-sig-name"><code>cleanSqlite</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#cleanUsedHeadersPackages" class="summary-sig-name"><code>cleanUsedHeadersPackages</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#close" class="summary-sig-name"><code>close</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#closeRpmDB" class="summary-sig-name"><code>closeRpmDB</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
closes down the instances of the rpmdb we have wangling around</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#disablePlugins" class="summary-sig-name"><code>disablePlugins</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
Disable yum plugins</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doConfigSetup" class="summary-sig-name"><code>doConfigSetup</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>fn</span>,
          <span class=summary-sig-arg>root</span>,
          <span class=summary-sig-arg>init_plugins</span>,
          <span class=summary-sig-arg>plugin_types</span>,
          <span class=summary-sig-arg>optparser</span>,
          <span class=summary-sig-arg>debuglevel</span>,
          <span class=summary-sig-arg>errorlevel</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doFileLogSetup" class="summary-sig-name"><code>doFileLogSetup</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>uid</span>,
          <span class=summary-sig-arg>logfile</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doGenericSetup" class="summary-sig-name"><code>doGenericSetup</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>cache</span>)</span></code>
<br />
do a default setup for all the normal/necessary yum components, really 
just a shorthand for testing</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doGroupLists" class="summary-sig-name"><code>doGroupLists</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>uservisible</span>)</span></code>
<br />
returns two lists of groups, installed groups and available groups 
optional 'uservisible' bool to tell it whether or not to return only 
groups marked as uservisible</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doGroupSetup" class="summary-sig-name"><code>doGroupSetup</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doLock" class="summary-sig-name"><code>doLock</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>lockfile</span>)</span></code>
<br />
perform the yum locking, raise yum-based exceptions, not OSErrors</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doLoggingSetup" class="summary-sig-name"><code>doLoggingSetup</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>debuglevel</span>,
          <span class=summary-sig-arg>errorlevel</span>)</span></code>
<br />
Perform logging related setup.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doPackageLists" class="summary-sig-name"><code>doPackageLists</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkgnarrow</span>)</span></code>
<br />
generates lists of packages, un-reduced, based on pkgnarrow option</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doPluginSetup" class="summary-sig-name"><code>doPluginSetup</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>optparser</span>,
          <span class=summary-sig-arg>plugin_types</span>,
          <span class=summary-sig-arg>searchpath</span>,
          <span class=summary-sig-arg>confpath</span>,
          <span class=summary-sig-arg>disabled_plugins</span>)</span></code>
<br />
Initialise and enable yum plugins.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doRepoSetup" class="summary-sig-name"><code>doRepoSetup</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>thisrepo</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doRpmDBSetup" class="summary-sig-name"><code>doRpmDBSetup</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doSackFilelistPopulate" class="summary-sig-name"><code>doSackFilelistPopulate</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
convenience function to populate the repos with the filelist metadata 
it also is simply to only emit a log if anything actually gets 
populated</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doSackSetup" class="summary-sig-name"><code>doSackSetup</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>archlist</span>,
          <span class=summary-sig-arg>thisrepo</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doUnlock" class="summary-sig-name"><code>doUnlock</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>lockfile</span>)</span></code>
<br />
do the unlock for yum</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#doUpdateSetup" class="summary-sig-name"><code>doUpdateSetup</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#downloadHeader" class="summary-sig-name"><code>downloadHeader</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>)</span></code>
<br />
download a header from a package object.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#downloadPkgs" class="summary-sig-name"><code>downloadPkgs</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkglist</span>,
          <span class=summary-sig-arg>callback</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#excludePackages" class="summary-sig-name"><code>excludePackages</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>repo</span>)</span></code>
<br />
removes packages from packageSacks based on global exclude lists, 
command line excludes and per-repository excludes, takes optional repo 
object to use.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#findDeps" class="summary-sig-name"><code>findDeps</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkgs</span>)</span></code>
<br />
Return the dependencies for a given package object list, as well
possible solutions for those dependencies.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#getInstalledPackageObject" class="summary-sig-name"><code>getInstalledPackageObject</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkgtup</span>)</span></code>
<br />
returns a YumInstallPackage object for the pkgtup specified</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#getKeyForPackage" class="summary-sig-name"><code>getKeyForPackage</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>,
          <span class=summary-sig-arg>askcb</span>,
          <span class=summary-sig-arg>fullaskcb</span>)</span></code>
<br />
Retrieve a key for a package.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#getPackageObject" class="summary-sig-name"><code>getPackageObject</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkgtup</span>)</span></code>
<br />
retrieves a packageObject from a pkgtuple - if we need to pick and 
choose which one is best we better call out to some method from here to 
pick the best pkgobj if there are more than one response - right now it's 
more rudimentary.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#getReposFromConfig" class="summary-sig-name"><code>getReposFromConfig</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
read in repositories from config main and .repo files</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#gpgKeyCheck" class="summary-sig-name"><code>gpgKeyCheck</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
checks for the presence of gpg keys in the rpmdb returns 0 if no keys 
returns 1 if keys</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#groupRemove" class="summary-sig-name"><code>groupRemove</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>grpid</span>)</span></code>
<br />
mark all the packages in this group to be removed</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#groupUnremove" class="summary-sig-name"><code>groupUnremove</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>grpid</span>)</span></code>
<br />
unmark any packages in the group from being removed</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#includePackages" class="summary-sig-name"><code>includePackages</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>repo</span>)</span></code>
<br />
removes packages from packageSacks based on list of packages, to 
include.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#install" class="summary-sig-name"><code>install</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>,
          <span class="summary-sig-kwarg">**kwargs</span>)</span></code>
<br />
try to mark for install the item specified.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#readRepoConfig" class="summary-sig-name"><code>readRepoConfig</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>parser</span>,
          <span class=summary-sig-arg>section</span>)</span></code>
<br />
Parse an INI file section for a repository.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#remove" class="summary-sig-name"><code>remove</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>,
          <span class="summary-sig-kwarg">**kwargs</span>)</span></code>
<br />
try to find and mark for remove the specified package(s) - if po is 
specified then that package object (if it is installed) will be marked 
for removal.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#returnInstalledPackagesByDep" class="summary-sig-name"><code>returnInstalledPackagesByDep</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>depstring</span>)</span></code>
<br />
Pass in a generic [build]require string and this function will pass 
back the installed packages it finds providing that dep.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#returnPackageByDep" class="summary-sig-name"><code>returnPackageByDep</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>depstring</span>)</span></code>
<br />
Pass in a generic [build]require string and this function will pass 
back the best(or first) package it finds providing that dep.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#returnPackagesByDep" class="summary-sig-name"><code>returnPackagesByDep</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>depstring</span>)</span></code>
<br />
Pass in a generic [build]require string and this function will pass 
back the packages it finds providing that dep.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#runTransaction" class="summary-sig-name"><code>runTransaction</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>cb</span>)</span></code>
<br />
takes an rpm callback object, performs the transaction</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#searchGenerator" class="summary-sig-name"><code>searchGenerator</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>fields</span>,
          <span class=summary-sig-arg>criteria</span>)</span></code>
<br />
Generator method to lighten memory load for some searches.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#searchPackageProvides" class="summary-sig-name"><code>searchPackageProvides</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>args</span>,
          <span class=summary-sig-arg>callback</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#searchPackages" class="summary-sig-name"><code>searchPackages</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>fields</span>,
          <span class=summary-sig-arg>criteria</span>,
          <span class=summary-sig-arg>callback</span>)</span></code>
<br />
Search specified fields for matches to criteria optional callback 
specified to print out results as you go.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#sigCheckPkg" class="summary-sig-name"><code>sigCheckPkg</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>)</span></code>
<br />
Take a package object and attempt to verify GPG signature if required...</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#update" class="summary-sig-name"><code>update</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>,
          <span class="summary-sig-kwarg">**kwargs</span>)</span></code>
<br />
try to mark for update the item(s) specified.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#verifyChecksum" class="summary-sig-name"><code>verifyChecksum</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>fo</span>,
          <span class=summary-sig-arg>checksumType</span>,
          <span class=summary-sig-arg>csum</span>)</span></code>
<br />
Verify the checksum of the file versus the provided checksum</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#verifyHeader" class="summary-sig-name"><code>verifyHeader</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>fo</span>,
          <span class=summary-sig-arg>po</span>,
          <span class=summary-sig-arg>raiseError</span>)</span></code>
<br />
check the header out via it's naevr, internally</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.YumBase-class.html#verifyPkg" class="summary-sig-name"><code>verifyPkg</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>fo</span>,
          <span class=summary-sig-arg>po</span>,
          <span class=summary-sig-arg>raiseError</span>)</span></code>
<br />
verifies the package is what we expect it to be raiseError = defaults 
to 0 - if 1 then will raise a URLGrabError if the file does not check 
out.</td></tr>
<tr bgcolor="#e8f0f8" class="group">
  <th colspan="2">&nbsp;&nbsp;&nbsp;&nbsp;Inherited from Depsolve</th></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#isPackageInstalled" class="summary-sig-name"><code>_isPackageInstalled</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>pkgname</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#allowedMultipleInstalls" class="summary-sig-name"><code>allowedMultipleInstalls</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>po</span>)</span></code>
<br />
takes a packageObject, returns 1 or 0 depending on if the package 
should/can be installed multiple times with different vers like kernels 
and kernel modules, for example</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#cprof_resolveDeps" class="summary-sig-name"><code>cprof_resolveDeps</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#doTsSetup" class="summary-sig-name"><code>doTsSetup</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#initActionTs" class="summary-sig-name"><code>initActionTs</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
<br />
sets up the ts we'll use for all the work</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#populateTs" class="summary-sig-name"><code>populateTs</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>test</span>,
          <span class=summary-sig-arg>keepold</span>)</span></code>
<br />
take transactionData class and populate transaction set</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#prof_resolveDeps" class="summary-sig-name"><code>prof_resolveDeps</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#resolveDeps" class="summary-sig-name"><code>resolveDeps</code></a>(<span class=summary-sig-arg>self</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yum.depsolve.Depsolve-class.html#whatProvides" class="summary-sig-name"><code>whatProvides</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>name</span>,
          <span class=summary-sig-arg>flags</span>,
          <span class=summary-sig-arg>version</span>)</span></code>
<br />
searches the packageSacks for what provides the arguments returns a 
ListPackageSack of providing packages, possibly empty</td></tr>
<tr bgcolor="#e8f0f8" class="group">
  <th colspan="2">&nbsp;&nbsp;&nbsp;&nbsp;Inherited from object</th></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__delattr__" class="summary-sig-name"><code>__delattr__</code></a>(<span class="summary-sig-vararg">...</span>)</span></code>
<br />
x.__delattr__('name') &lt;==&gt; del x.name</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__getattribute__" class="summary-sig-name"><code>__getattribute__</code></a>(<span class="summary-sig-vararg">...</span>)</span></code>
<br />
x.__getattribute__('name') &lt;==&gt; x.name</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__hash__" class="summary-sig-name"><code>__hash__</code></a>(<span class=summary-sig-arg>x</span>)</span></code>
<br />
x.__hash__() &lt;==&gt; hash(x)</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__new__" class="summary-sig-name"><code>__new__</code></a>(<span class=summary-sig-arg>T</span>,
          <span class=summary-sig-arg>S</span>,
          <span class="summary-sig-vararg">...</span>)</span></code>
<br />
T.__new__(S, ...) -&gt; a new object with type S, a subtype of T</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__reduce__" class="summary-sig-name"><code>__reduce__</code></a>(<span class="summary-sig-vararg">...</span>)</span></code>
<br />
helper for pickle</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__reduce_ex__" class="summary-sig-name"><code>__reduce_ex__</code></a>(<span class="summary-sig-vararg">...</span>)</span></code>
<br />
helper for pickle</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__repr__" class="summary-sig-name"><code>__repr__</code></a>(<span class=summary-sig-arg>x</span>)</span></code>
<br />
x.__repr__() &lt;==&gt; repr(x)</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__setattr__" class="summary-sig-name"><code>__setattr__</code></a>(<span class="summary-sig-vararg">...</span>)</span></code>
<br />
x.__setattr__('name', value) &lt;==&gt; x.name = value</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="__builtin__.object-class.html#__str__" class="summary-sig-name"><code>__str__</code></a>(<span class=summary-sig-arg>x</span>)</span></code>
<br />
x.__str__() &lt;==&gt; str(x)</td></tr>
</table><br />


<!-- =========== START OF PROPERTY SUMMARY =========== -->
<table class="summary" border="1" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="summary">
  <th colspan="2">Property Summary</th></tr>
<tr bgcolor="#e8f0f8" class="group">
  <th colspan="2">&nbsp;&nbsp;&nbsp;&nbsp;Inherited from YumBase</th></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#comps"><code>comps</code></a></b></td></tr><tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#conf"><code>conf</code></a></b></td></tr><tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#pkgSack"><code>pkgSack</code></a></b></td></tr><tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#repos"><code>repos</code></a></b></td></tr><tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#rpmdb"><code>rpmdb</code></a></b></td></tr><tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#ts"><code>ts</code></a></b></td></tr><tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#tsInfo"><code>tsInfo</code></a></b></td></tr><tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><b><a href="yum.YumBase-class.html#up"><code>up</code></a></b></td></tr></table><br />


<!-- =========== START OF METHOD DETAILS =========== -->
<table class="details" border="1" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="details">
  <th colspan="2">Method Details</th></tr>
</table>

<a name="__init__"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">__init__</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>configfn</span>=<span class=sig-default>'/etc/yum.conf'</span>,
          <span class=sig-arg>rootdir</span>=<span class=sig-default>'/'</span>,
          <span class=sig-arg>plugins</span>=<span class=sig-default>True</span>,
          <span class=sig-arg>parser</span>=<span class=sig-default>None</span>,
          <span class=sig-arg>debuglevel</span>=<span class=sig-default>None</span>,
          <span class=sig-arg>errorlevel</span>=<span class=sig-default>None</span>,
          <span class=sig-arg>disabled_plugins</span>=<span class=sig-default>None</span>)</span>
    <br /><i>(Constructor)</i>
  </h3>
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>configfn</b></code> -
         The yum config file to use (default = '/etc/yum.conf')
      <dd><code><b>rootdir</b></code> -
         The root dir to use (default = '/')
      <dd><code><b>plugins</b></code> -
         Enable TYPE_CORE plugins (default = True)
      <dd><code><b>debuglevel</b></code> -
         Debug level to use for logging. If None, the debug level will 
        be read from the configuration file.
      <dd><code><b>errorlevel</b></code> -
         Error level to use for logging. If None, the debug level will 
        be read from the configuration file.
      <dd><code><b>disabled_plugins</b></code> -
         Plugins to be disabled (default = None)
      </dd>
    </dl>
    <dl><dt><b>Overrides:</b></dt>
      <dd><a href="yum.YumBase-class.html#__init__"><code>yum.YumBase.__init__</code></a></dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="actionLog"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">actionLog</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>msg</span>)</span>
  </h3>
  action log class
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>msg</b></code> -
         message to to decribe the action write the message to the 
        logger by default, can be overloaded by a child class to write 
        the message somewhere else and increment a progress bar etc.
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="deselectGroup"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">deselectGroup</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>grpid</span>)</span>
  </h3>
  Remove the packages in the group from the transaction. if the group 
  is installed on the system the add remove actions for all the packages 
  in the group to the transaction.
  <dl><dt></dt><dd>
    <dl><dt><b>Overrides:</b></dt>
      <dd><a href="yum.YumBase-class.html#deselectGroup"><code>yum.YumBase.deselectGroup</code></a></dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="deselectPackage"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">deselectPackage</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>po</span>)</span>
  </h3>
  Add a package to the transaction for removal, if the package is 
  added to the transaction as a installation/update the revert the 
  installation/update.
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>po</b></code> -
         package object to work on
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="doDepSolve"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">doDepSolve</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>callback</span>=<span class=sig-default>None</span>)</span>
  </h3>
  Resolve the dependencies in current transaction
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>callback</b></code> -
         The depsolve callback class to use.
      </dd>
    </dl>
    <dl><dt><b>Returns:</b></dt>
      <dd>
        (result, msgs) from YumBase.buildTransaction()
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="downloadPackages"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">downloadPackages</span>(<span class=sig-arg>self</span>)</span>
  </h3>
  Download the packages in current transaction
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>

<a name="isGroupInstalled"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">isGroupInstalled</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>grp</span>)</span>
  </h3>
  Check if group is install
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>grp</b></code> -
         Group to check
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="isPackageInstalled"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">isPackageInstalled</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>name</span>=<span class=sig-default>None</span>,
          <span class=sig-arg>epoch</span>=<span class=sig-default>None</span>,
          <span class=sig-arg>version</span>=<span class=sig-default>None</span>,
          <span class=sig-arg>release</span>=<span class=sig-default>None</span>,
          <span class=sig-arg>arch</span>=<span class=sig-default>None</span>,
          <span class=sig-arg>po</span>=<span class=sig-default>None</span>)</span>
  </h3>
  Check if package is installed.
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>name</b></code> -
         name of package
      <dd><code><b>epoch</b></code> -
         package epoch
      <dd><code><b>version</b></code> -
         package version
      <dd><code><b>release</b></code> -
         package release
      <dd><code><b>arch</b></code> -
         package arch
      <dd><code><b>po</b></code> -
         package object to use insted of (n.e.v.r.a)
      </dd>
    </dl>
    <dl><dt><b>Returns:</b></dt>
      <dd>
        True/False
      </dd>
    </dl>
    <dl><dt><b>Overrides:</b></dt>
      <dd><a href="yum.depsolve.Depsolve-class.html#isPackageInstalled"><code>yum.depsolve.Depsolve.isPackageInstalled</code></a></dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="processTransaction"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">processTransaction</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>callback</span>)</span>
  </h3>
  Process the transaction
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>callback</b></code> -
         The RPM callback class to use.
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="selectGroup"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">selectGroup</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>grpid</span>)</span>
  </h3>
  Add the packages in the group to the transaction, if group is 
  allready added to the transaction for removal, the revert the 
  removal.
  <dl><dt></dt><dd>
    <dl><dt><b>Overrides:</b></dt>
      <dd><a href="yum.YumBase-class.html#selectGroup"><code>yum.YumBase.selectGroup</code></a></dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="selectPackage"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">selectPackage</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>po</span>)</span>
  </h3>
  Add a package to the transaction, if the package is already added to 
  the transaction as a removal, then revert the removal
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>po</b></code> -
         package object to work on
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="setCacheCallback"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">setCacheCallback</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>callback</span>)</span>
  </h3>
  Set the callback handler to use while populating the sqlite 
  cache.
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>callback</b></code> -
         the download callback class.
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="setDownloadCallback"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">setDownloadCallback</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>callback</span>)</span>
  </h3>
  Set the callback handler to use while downloading.
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>callback</b></code> -
         the download callback class.
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="setup"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">setup</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>doUpdates</span>=<span class=sig-default>False</span>,
          <span class=sig-arg>doUpdateMetaData</span>=<span class=sig-default>False</span>)</span>
  </h3>
  Setup rpmdb, TransactionSets, Repositories, Package Sacks, Groups 
  &amp; Updates.
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>doUpdates</b></code> -
         Do updates setup (default = False)
      <dd><code><b>doUpdateMetaData</b></code> -
         Setup and grab extra updates metadata (Default = False)
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="simpleDBInstalled"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">simpleDBInstalled</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>name</span>,
          <span class=sig-arg>arch</span>=<span class=sig-default>None</span>)</span>
  </h3>
  Fast way to find out id name.arch is installed
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>name</b></code> -
         Name of the package
      <dd><code><b>arch</b></code> -
         Arch of the package
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="testTransaction"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">testTransaction</span>(<span class=sig-arg>self</span>)</span>
  </h3>
  Perform a test transaction
  <dl><dt></dt><dd>
  </dd></dl>
</td></tr></table>
<br />


<!-- =========== START OF NAVBAR =========== -->
<table class="navbar" border="0" width="100%" cellpadding="0" bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="center">
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="yumguicore-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="trees.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="indices.html">Index</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar" width="100%"></th>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
    <td align="left"><font size="-2">Generated by Epydoc 2.1 on Thu Jul 19 13:44:22 2007</font></td>
    <td align="right"><a href="http://epydoc.sourceforge.net"
                      ><font size="-2">http://epydoc.sf.net</font></a></td>
  </tr>
</table>
</body>
</html>
